/*===============================================
変数の定義
===============================================*/
:root {
  --base-color: #fff;
  --base-font-color: #c1e4f8;
  --link-color: #ffa600f3;
}

.text-pink {
  color: #f763ad;
}

/*===============================================
ベース
===============================================*/
/* ゆっくり遷移する */
html {
  scroll-behavior: smooth;
}

main {
  margin-top: 0px;

}

/*===============================================
背景
===============================================*/
#bike_bg{
    background: url(/img/bg.webp);
    background-attachment: fixed;
  background-size: cover;
}
.card-bg {
  background: rgba(71, 71, 71, 0.288);
  backdrop-filter: blur(10px);
}

/*===============================================
header
===============================================*/
.header-bg {

  background: rgba(255, 255, 255, 1);
  padding-bottom: 7px;
}

.navbar-nav>.user-menu>.dropdown-menu>.user-footer {
  display: flex;
}

ul .dropdown-menu-lg {
  min-width: 120px;
  max-width: 180px;
  padding: 0;
}


.dropdown-menu-lg {
  width: 120px;
}

main.app-main{
 background-image: linear-gradient(90deg, #dbdbdb, #ebebeb, #dbdbdb);
}

/*===============================================
input form
===============================================*/

.custom-serch-btn{
  border-top: var(--bs-border-width) solid var(--bs-border-color);
  border-bottom: var(--bs-border-width) solid var(--bs-border-color);
  border-right: var(--bs-border-width) solid var(--bs-border-color);
  border-left: solid 1px #a2a2a2;
  background-color: #fff;
}


/*===============================================
ログイン
===============================================*/
.login-logo {
  display: flex;
  justify-content: center;
  align-items: center;
  font-family: fantasy;
  font-size: 40px;
  margin-bottom: 0px;
}

.login-box {
.card {
  min-width: 440px;
  width: 100%;
  height:auto ;
  padding: 20px;
  border-radius: 10px;
    backdrop-filter: blur(10px);
    background: rgba(255, 255, 255, 0.28);
      box-shadow: 5px 5px 10px hsla(0, 0%, 2%, 0.281);
}

    .input-group{
    background-color: #494F54;
    color: #494F54;
    border-radius: 5px;
  }
  .input-group-text{
     background-color: #494F54;
    color: #ffffff;
    border: 1px solid #494F54;
  }
  .login-card-body .input-group .input-group-text{
   color: #ffffff;
  }
  .form-control {
    background-color: #494F54;
    color: #c5c5c5;
    border-left: 1px solid #494F54;
    border-top: 1px solid #494F54;
    border-right: 1px solid rgba(255, 255, 255, 0.356);
    border-bottom: 1px solid #494F54;
}

}

/*===============================================
検索画面
===============================================*/
#search{
padding: 10px;
  .icon{
  font-size: 30px;   
  margin-right: 10px;
  color: #555555;
  }
  label{
    font-weight: bold;

  }
  hr{
   margin: -5px 0px 20px;
   border: 1px dotted #6c757d;
  }
}

/*===============================================
顧客検索結果一覧
===============================================*/
#customer_index{
  background: rgba(124, 124, 124, 0.288);
  backdrop-filter: blur(10px);
  border: none;
}
 #customer_index tbody tr th {
    padding: 1rem 5px;
}
#customer_index tbody tr td {
    padding: 1rem 5px;
}

 #offcanvas tr th {
    padding: 1rem 5px;
}
 #offcanvas tr td {
    padding: 1rem 5px;
}

/*===============================================
顧客詳細ページ
===============================================*/
#customer_show table {
  width: 49%;
}

/*===============================================
sidebar
===============================================*/
.sidebar-wrapper {
  overflow: auto;
  background-color: #343A40;
  a{
    color: white;
    &:hover {
      color: var(--bs-secondary-color);
    }
  }
}

.sidebar-brand {
  font-family: fantasy;
  background-color: #343A40;
  display: flex;
  align-items: center;
  justify-content: start;
  

  &img {
    height: 35px;
  }

  &.brand-text {
    margin-left: 0.5rem;
    color: rgba(var(--bs-emphasis-color-rgb), 0.8);
    transition: flex 0.3s ease-in-out, width 0.3s ease-in-out;
    font-size: 24px;
    font-weight: 700;
  }
}

/*===============================================
ページネーション
===============================================*/

.active>.page-link, .page-link.active {
    z-index: 3;
    color: #ffffff;
     background-color:#6c757d; 
    border-color: #6c757d;
}
nav{
.page-link {
    color: #646464;

}
}

/*===============================================
table
===============================================*/
#offcanvas{
.table{
 border: #646464 1px solid;
 box-shadow: 0px 0px 0px #000000;
}
.table th{
  padding-left: 14px;
}
}


.table{
  box-shadow: 1px 1px 1px #a2a2a2;
}

/** 一覧表示 幅  **/
.table tbody tr td{
      padding: 1rem 1.5rem;
}
.table tbody tr th{
      padding: 1rem 1.5rem;
     
}
tbody, td, tfoot, th, thead, tr {
  /** テーブルのライン  **/
    border-color: inherit;
    border-style: none;
    border-width: 0px;
} 
.w-10{
  width: 10%;
}
.w-15{
  width: 15%;
}
.w-20{
  width: 20%;
}
.w-30{
  width: 30%;
}
.w-40{
  width: 40%;
}
.w-60{
  width: 60%;
}
.w-70{
  width: 70%;
}
.w-80{
  width: 80%;
}
.w-90{
  width: 90%;
}


/*===============================================
点滅
===============================================*/
.blinking {
  -webkit-animation: blink 1.5s ease-in-out infinite alternate;
  -moz-animation: blink 1.5s ease-in-out infinite alternate;
  animation: blink 1.5s ease-in-out infinite alternate;
}

@-webkit-keyframes blink {
  0% {
    opacity: 0;
  }

  100% {
    opacity: 1;
  }
}

@-moz-keyframes blink {
  0% {
    opacity: 0;
  }

  100% {
    opacity: 1;
  }
}

@keyframes blink {
  0% {
    opacity: 0;
  }

  100% {
    opacity: 1;
  }
}

/*===============================================
フェードイン
===============================================*/
.fadein.is-animated {
  animation: fadeIn 1.9s ease-in-out 1 forwards;
}

@keyframes fadeIn {
  0% {
    opacity: 0;
  }

  100% {
    opacity: 1;
  }
}

/*===============================================
フェードアウト
===============================================*/

.fadeout.is-animated {
  animation: fadeout 1.9s ease-in-out 1 forwards;
}

@keyframes fadeout {
  0% {
    opacity: 1;
  }

  100% {
    opacity: 0;
  }
}
/*===============================================
フェードアップ
===============================================*/
.fadeup.is-animated {
  animation: fadeup 1s ease-in-out 1 forwards;
}
 
@keyframes fadeup {
  0% {
    transform: translateY(30px);
    opacity: 0;
  }
  80% {
    opacity: 1;
  }
  100% {
    opacity: 1;
    transform: translateY(0);
  }
}
/*===============================================
ダッシュボード
===============================================*/
#dashboard{
   height: 100vh;
  display: flex;
  width: 100%;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  .dashboard_title{
       color: var(--bs-secondary-color);
    font-size: 70px;
    font-weight: bold;
    margin-bottom:30px;
      font-family: fantasy;
    letter-spacing: 0.05em;
    line-height: 1.95rem;
    text-shadow: #fff 2px 2px 15px;
    
}
  p{
    color: var(--bs-secondary-color);
    font-weight: bold;
  }
}


/*===============================================
404 401 500　エラー：PC
===============================================*/
#error_message {
  height: 100vh;
  display: flex;
  width: 95%;
  margin-left: 2.5%;
  margin-right: 2.5%;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}

#error_message h1 {
  color: #fff;
  text-shadow: 1px 3px 3px #082337, 1px 3px 3px #082337, 1px 3px 3px #082337;
  font-size: 50px;
  font-weight: bold;
  margin-bottom: 5.5vh;
}
#error_message p {
  color: #fff;
  font-size: 20px;
  text-shadow: 1px 3px 3px #082337, 1px 3px 3px #082337, 1px 3px 3px #082337;
}

#error_message small {
  color: #fff;
  text-shadow: 1px 3px 3px #082337, 1px 3px 3px #082337, 1px 3px 3px #082337;
}

/*===============================================
共通　/** スクロールバー デザインカスタマイズ
===============================================*/
::-webkit-scrollbar {
  width: 4px;
}

::-webkit-scrollbar-track {
  background: #a2a2a2;
  border-radius: 10px;
}

::-webkit-scrollbar-thumb {
  background: #575757;
  border-radius: 10px;
}
/*===============================================
alert
===============================================*/
#alert_box{
  position: fixed;
  bottom: 0px;
  right: 10px;
}
